import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
//自定义getters

//自定义getters
const store = new Vuex.Store({

    state: {
        
        count: 0,
        school: '清华大学',
        baZiIsPay:'0'
    },
    getters: {
        // 返回处理后的state值
        getValue(state) {
            return state.count + '！'
        },
        // 返回调用自身getters处理后的state值
        getGetters(state, getters) {
            return state.school + getters.getValue
        },
        // 接受外部传参后处理的值（在通过方法访问时，每次都会去进行调用，而不会缓存结果）
        getParam(state) {
            return (param: string) => {
                return state.school + param
            }
        }
    },
    mutations: {
        SET_BAZIISPAY(state,baZiIsPay:string){
            state.baZiIsPay = baZiIsPay
            // console.log(state)
            return state

        }
        
    },
    actions: {},
    modules: {}
})
export default store